Subject: Chitin/Chitosan

From: ABMB000 <[email-masked]>
Date: 27 Jan 1994 05:44:10 -0000

Does anybody have citable figures for the production and sales tonnages
for chitosan.

MIROSLAV BELIK                            E-MAIL   [email-masked]
UNIVERSITY WESTERN SYDNEY, MACARTHUR.     TEL. 61-46-203-520
FAC. BUS. & TECH.                         FAX. 61-46-266-683
P.O. BOX 555, CAMPBELLTOWN
NSW 2560
AUSTRALIA